﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net;

namespace HistoricalStockDataGetter.Model
{
    public class StockData
    {
        public DateTime Date { get; set; }
        public double Open { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
        public double Close { get; set; }
        public double Volume { get; set; }
        public double AdjClose { get; set; }

        public StockData(int seed)
        {
            Random r = new Random(seed);
            this.Date = new DateTime(r.Next(1990, 2016), r.Next(1, 12), r.Next(1, 28));
            this.Open = Convert.ToDouble(r.Next(0,100));
            this.High = Convert.ToDouble(r.Next(0, 100));
            this.Low = Convert.ToDouble(r.Next(0, 100));
            this.Close = Convert.ToDouble(r.Next(0, 100));
            this.Volume = Convert.ToDouble(r.Next(0, 100));
            this.AdjClose = Convert.ToDouble(r.Next(0, 100));
        }
    }
}
