﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace HistoricalStockDataGetter.Model
{
    public class Stock
    {
        public String Name { get; set; }
        public String Symbol { get; set; }
        public List<StockData> StockData { get; set; }

        public Stock(String symbol, int seed)
        {
            this.Symbol = symbol;
            List<StockData> stockDataCollection = new List<Model.StockData>();
            for (int i = 0; i < 50; i++)
            {
                StockData stockData = new Model.StockData(i+seed);
                stockDataCollection.Add(stockData);
            }
            this.StockData = stockDataCollection;
        }



    }
}
